/*================================================*/
/* TVAAPPLY.C                                     */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include <string.h>
#include "tvapi.h"

/*================================================*/
/* TVpanel_apply   write a named panel to a window*/
/*   Ralf Brown 8/6/88                            */
/*================================================*/

void pascal TVpanel_apply(OBJECT panel, char *name,OBJECT window)
{
   PARMLIST3 p ;

   if (TVisobj(panel))
      {
      p.num_args = 3 ;
      p.arg[0] = (DWORD) (char far *) name ;
      p.arg[1] = (DWORD) strlen(name) ;
      p.arg[2] = (DWORD) window ;
      TVsendmsg(OPEN_MSG, TOS, panel, (PARMLIST *)&p) ;
      }
}

/* End of TVAAPPLY.C */
