/*================================================*/
/* TVASIZE.C                                      */
/*   functions to handle panel files              */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVpanel_size   get number of panels in file    */
/*   Ralf Brown 4/8/88                            */
/*================================================*/

int pascal TVpanel_size(OBJECT panel)
{
   if (TVisobj(panel))
      return (int) TVsendmsg1(SIZE_MSG, TOS, panel) ;
   else
      return (int) 0 ;
}

/* End of TVASIZE.C */
