/*================================================*/
/* TVBWRITE.C                                     */
/*   send mail with specified status              */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVmbx_write  send mail msg by val/ref w/ stat  */
/*   Ralf Brown 4/22/88                           */
/*================================================*/

void pascal TVmbx_write(OBJECT mbx,int reference,int status,char *msg,int length)
{
   PARMLIST3 p ;

   p.num_args = 3 ;
   p.arg[0] = (DWORD) (char far *) msg ;
   p.arg[1] = (DWORD) length ;
   p.arg[2] = (DWORD) status ;
   TVsendmsg(reference?SUBFROM_MSG:ADDTO_MSG, mbx?TOS:MAILME, mbx, (PARMLIST *)&p) ;
}

/* End of TVBWRITE.C */
