/*=======================================================*/
/*  TVERRMSG.C                                           */
/*=======================================================*/

#include <string.h>
#include "tvapi.h"

/*======================================================*/
/* TVerrormsg  pop up TopView error message window      */
/*   John Navas                                         */
/*======================================================*/

/* win:    handle of window object (0=ME) */
/* string: message text */
/* tone:   1=sound a tone */
/* button: 0=either, 1=left, 2=right, 3=either */
/* rows:   number of rows, 0=default */
/* cols:   number of columns, 0=default */

int pascal TVerrormsg(OBJECT win, char *string,int tone,int button,int rows,int cols)
{
   WORD bx, dx;

   bx = (strlen(string) & 0x1FFF) | ((button & 3) << 13) | ((tone & 1) << 15) ;
   dx = win ? OBJSEG(win) : OBJSEG(TVobject(ME)) ;
   _ES = FP_SEG((char far *)string);
   _DI = FP_OFF((char far *)string);
   _DX = dx ;
   _BX = bx ;
   _CH = cols ;
   _CL = rows ;
   _AX = 0x101F ;
   geninterrupt(0x15) ;
   return _BX ;
}

/* End of TVERRMSG.C */
