/*=======================================================*/
/*  TVFHEAD.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include <mem.h>
#include "tvapi.h"
#include "tvstream.h"

/*=============================================*/
/* TVfld_header  change field table header     */
/*   Ralf Brown 4/17/88                        */
/*=============================================*/

void pascal TVfld_header(OBJECT win,FT_HEADER *header)
{
   static BYTE stream[] = { S_WINDOW(7), 0xFC, 0,0,0,0,0,0 } ;

   memcpy((char *)(stream+5), (char *)header, sizeof(FT_HEADER)) ;
   TVwin_stream(win,stream) ;
}

/* End of TVFHEAD.C */
