/*=======================================================*/
/*  TVFQHEAD.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include <mem.h>
#include "tvapi.h"
#include "tvstream.h"

/*=============================================*/
/* TVqry_header   get field table header       */
/*   Ralf Brown 4/17/88                        */
/*=============================================*/

void pascal TVqry_header(OBJECT win,FT_HEADER *header)
{
   static BYTE stream[] = { S_QUERY(7), 0xFC, 0,0,0,0,0,0 } ;

   TVwin_stream(win,stream) ;
   memcpy((char *)header, (char *)(stream+5), sizeof(FT_HEADER)) ;
}

/* End of TVFQHEAD.C */
