/*=======================================================*/
/*  TVJHIDE.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*======================================================*/
/* TVapp_hide  hide all windows for application         */
/*   Ralf Brown 4/20/88                                 */
/*======================================================*/

void pascal TVapp_hide(OBJECT win)
{
   static BYTE hide_stream[] = { S_MANAGER(1), MS_HIDE } ;

   TVwin_stream(win,hide_stream) ;
}

/* End of TVJHIDE.C */
