/*=======================================================*/
/*  TVMTOP.C                                             */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_top  make window topmost in its application     */
/*   Ralf Brown 4/20/88                                  */
/*=======================================================*/

void pascal TVwin_top(OBJECT win)
{
   static BYTE stream[] = { S_MANAGER(1), MS_WINTOP } ;

   TVwin_stream(win,stream) ;
}

/*=======================================================*/
/* TVwin_topsys  make window topmost in system           */
/*   Ralf Brown 4/20/88                                  */
/*=======================================================*/

void pascal TVwin_topsys(OBJECT win)
{
   static BYTE stream[] = { S_MANAGER(1), MS_WINTOPSYS } ;

   TVwin_stream(win,stream) ;
}

/* End of TVMTOP.C */
