/*================================================*/
/* TVOHANDL.C                                     */
/*   OBJECTQ handle query functions               */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVmyobq   get handle for task's def OBJECTQ    */
/*   Ralf Brown 4/3/88                            */
/*   Ralf Brown 7/14/88 modified for TVsendmsg1   */
/*================================================*/

OBJECT pascal TVmyobq(void)
{
   return (OBJECT) TVsendmsg1(OBJECT_MSG,OBJQME,0) ;
}

/*================================================*/
/* TVobqof   get given task's objectq handle      */
/*   Ralf Brown 4/10/88                           */
/*   Ralf Brown 7/14/88 modified for TVsendmsg1   */
/*================================================*/

OBJECT pascal TVobqof(OBJECT task)
{
   return (OBJECT) TVsendmsg1(OBJECT_MSG, task?OBJQTOS:OBJQME, task) ;
}

/* End of TVOHANDL.C */
