/*=======================================================*/
/*  TVQCTRL.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVqry_ctrl--return TRUE if processing control chars   */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

int pascal TVqry_ctrl(OBJECT win)
{
   static BYTE ctrl_query[] = { S_QUERY(1), QS_CTRLCHAR } ;

   TVwin_stream(win,ctrl_query) ;
   return (ctrl_query[4] == QS_CTRLCHAR) ;
}

/* End of TVQCTRL.C */
