/*=======================================================*/
/*  TVSLEEP.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"

/*======================================================*/
/* TVsleep--pause for given number of 1/100 seconds     */
/*   Ralf Brown 4/4/88                                  */
/*======================================================*/

void pascal TVsleep(DWORD time)
{
   OBJECT timer ;

   TVtimer_begin(timer=TVtimer_new(),time) ;
   TVtimer_wait(timer) ;  /* wait until timer elapses */
   TVtimer_free(timer) ;
}

/* End of TVSLEEP.C */
