/*================================================*/
/* TVTFREE.C                                      */
/*   Keyboard object management functions         */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVfreetask  free a task object                 */
/*   Ralf Brown 4/3/88                            */
/*================================================*/

void pascal TVtask_free(OBJECT task)
{
   if (task == NIL || TVisobj(task))
      TVsendmsg0(FREE_MSG, task?TOS:ME, task) ;
}

/* End of TVTFREE.C */
