/*================================================*/
/* TVTSTOP.C                                      */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVtask_stop  temporarily stop another task     */
/*   Ralf Brown 4/2/88                            */
/*================================================*/
/* At least in DV 2.00, you can only stop the     */
/* currently executing task                       */

void pascal TVtask_stop(OBJECT task)
{
   _ES = (task) ? OBJSEG(task) : OBJSEG(TVmytask()) ;
   _AX = 0x101D ;
   geninterrupt(0x15) ;
}

/* End of TVTSTOP.C */
