/*=======================================================*/
/*  TVWHIDE.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_hide  mark window as hidden                     */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVwin_hide(OBJECT win)
{
   static BYTE stream[] = { S_WINDOW(2), WS_HIDDEN, WS_REDRAW } ;

   TVwin_stream(win,stream) ;
}

/*=======================================================*/
/* TVwin_unhide  mark window as not hidden               */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVwin_unhide(OBJECT win)
{
   static BYTE stream[] = { S_WINDOW(2), WS_UNHIDDEN, WS_REDRAW } ;

   TVwin_stream(win,stream) ;
}

/* End of TVWHIDE.C */
