/*=======================================================*/
/*  TVWMOVE.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_move  set position of physical window           */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVwin_move(OBJECT win,int row,int col)
{
   static BYTE stream[] = { S_WINDOW(3), 0xC2, 0, 0 } ;

   stream[5] = row ;
   stream[6] = col ;
   TVwin_stream(win,stream) ;
}

/* End of TVWMOVE.C */
