/*=======================================================*/
/*  TVWREPAT.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_repattr  repeat attribute n times               */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVwin_repattr(OBJECT win,int attr,int count)
{
   static BYTE stream[] = { S_WINDOW(3), 0, 0, 0 } ;

   if (count >= 0x800)
      count = 0 ;
   stream[4] = 0x90 | ((count >> 8) & 7) ;
   stream[5] = count & 0xFF ;
   stream[6] = attr ;
   TVwin_stream(win,stream) ;
}

/* End of TVWREPAT.C */
