/*=======================================================*/
/*  TVWREPCH.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_repchar   repeatedly write character with def   */
/*                 attribute                             */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVwin_repchar(OBJECT win,int c,int count)
{
   static BYTE stream[] = { S_WINDOW(3), 0, 0, 0 } ;

   if (count >= 0x800)
      count = 0 ;
   stream[4] = 0x88 | ((count >> 8) & 7) ;
   stream[5] = count & 0xFF ;
   stream[6] = c ;
   TVwin_stream(win,stream) ;
}

/* End of TVWREPCH.C */
