/*=======================================================*/
/*  TVWSCROL.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_scroll   scroll area in indicated direction     */
/*   Ralf Brown 4/15/88                                  */
/*=======================================================*/

void pascal TVwin_scroll(OBJECT win,int top,int left,int height,int width,
                         int direction)
{
   static BYTE stream[] = { S_WINDOW(6), 0xC1, 0, 0, 0, 0, 0 } ;

   stream[5] = top ;
   stream[6] = left ;
   stream[7] = 0xE8 + direction ;  /* which way do we scroll? */
   stream[8] = height ;
   stream[9] = width ;
   TVwin_stream(win,stream) ;
}

/* End of TVWSCROL.C */
