/*================================================*/
/* TVAOPEN.C                                      */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include <string.h>
#include "tvapi.h"

/*================================================*/
/* TVpanel_open   associate a file with panel obj */
/*   Ralf Brown 5/6/88                            */
/*================================================*/

void pascal TVpanel_open(OBJECT panel, char *file)
{
   PARMLIST2 p ;

   if (TVisobj(panel))
      {
      p.num_args = 2 ;
      p.arg[0] = (DWORD) (char far *) file ;
      p.arg[1] = (DWORD) strlen(file) ;
      TVsendmsg(OPEN_MSG, TOS, panel, (PARMLIST *)&p) ;
      }
}

/* End of TVAOPEN.C */
