/*================================================*/
/* TVBEOF.C                                       */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVmbx_eof  check if mailbox object is at EOF   */
/*   Ralf Brown 5/6/88                            */
/*   Ralf Brown 7/14/88 modified for TVsendmsg1   */
/*================================================*/

int pascal TVmbx_eof(OBJECT mbx)
{
   return (int) TVsendmsg1(EOF_MSG, mbx?TOS:MAILME, mbx) ;
}

/* End of TVBEOF.C */
