/*================================================*/
/* TVBFIND.C                                      */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include <string.h>
#include "tvapi.h"

/*================================================*/
/* TVmbx_find   find a mailbox by name            */
/*   Ralf Brown 4/8/88                            */
/*================================================*/

OBJECT pascal TVmbx_find(char *name)
{
   int len = strlen(name) ;
   unsigned int old_DS = _DS ;
   unsigned int new_DS ;

   _ES = FP_SEG((char far *)name) ;
   _DI = FP_OFF((char far *)name) ;
   _CX = len ;
   _AX = 0xDE0E ;
   geninterrupt(0x15) ;
   new_DS = _DS ;
   _DS = old_DS ;
   if (_BX)
      return (OBJECT) MK_FP(new_DS,_SI) ;
   else
      return NIL ;
}

/* End of TVBFIND.C */
