/*================================================*/
/* TVBHANDL.C                                     */
/*   MAILBOX handle query functions               */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVmymbx   get handle for task's def mailbox    */
/*   Ralf Brown 4/3/88                            */
/*   Ralf Brown 7/14/88 modified for TVsendmsg1   */
/*================================================*/

OBJECT pascal TVmymbx(void)
{
   return (OBJECT) TVsendmsg1(OBJECT_MSG,MAILME,0) ;
}

/*================================================*/
/* TVmbxof   get handle of given task's mailbox   */
/*   Ralf Brown 4/8/88                            */
/*   Ralf Brown 7/14/88 modified for TVsendmsg1   */
/*================================================*/

OBJECT pascal TVmbxof(OBJECT task)
{
   return (OBJECT) TVsendmsg1(OBJECT_MSG, task?MAILTOS:MAILME, task) ;
}

/* End of TVBHANDL.C */
