/*================================================*/
/* TVMAILBX.C                                     */
/*   Mailbox object management functions          */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVsendmail  send mail msg by value w/ status 0 */
/*   Ralf Brown 4/22/88                           */
/*================================================*/

void pascal TVsendmail(OBJECT mbx,char *msg,int length)
{
   PARMLIST2 p ;

   p.num_args = 2 ;
   p.arg[0] = (DWORD) (char far *) msg ;
   p.arg[1] = (DWORD) length ;
   TVsendmsg(WRITE_MSG, mbx?TOS:MAILME, mbx, (PARMLIST *)&p) ;
}

/* End of TVMAILBX.C */
