/*=======================================================*/
/*  TVFQENT.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include <mem.h>
#include "tvapi.h"
#include "tvstream.h"

/*=============================================*/
/* TVqry_entry   get field table entry         */
/*   Ralf Brown 4/17/88                        */
/*=============================================*/

void pascal TVqry_entry(OBJECT win,int fld,FT_ENTRY *entry)
{
   static BYTE stream[] = { S_QUERY(10), 0xF5, 0, 0,0,0,0,0,0,0,0 } ;

   stream[5] = fld ;
   stream[13] = 0 ;  /* just in case entry is only 7 bytes */
   TVwin_stream(win,stream) ;
   memcpy((char *)entry, (char *)(stream+6), sizeof (FT_ENTRY)) ;
}

/* End TVFQENT.C */
