/*=======================================================*/
/*  TVFSCROL.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=============================================*/
/* TVfld_scroll   scroll field one position in */
/*                given direction              */
/*   Ralf Brown 4/17/88                        */
/*=============================================*/

void pascal TVfld_scroll(OBJECT win,int fld,int direction)
{
   static BYTE stream[] = { S_WINDOW(2), 0, 0 } ;

   stream[4] = 0xF8 + direction ;
   stream[5] = fld ;
   TVwin_stream(win,stream) ;
}

/* End of TVFSCROL.C */
