/*=======================================================*/
/*  TVISET.C                                             */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"

/*======================================================*/
/* TVtimer_set   set a timer to expire at a given time  */
/*   Ralf Brown 4/22/88                                 */
/*======================================================*/

void pascal TVtimer_set(OBJECT timer,int hour,int minute,int second,int hundredth)
{
   PARMLIST1 p ;

   p.num_args = 1 ;
   p.arg[0] = (360000L * hour) + (6000L * minute) + (100L * second) + hundredth ;
   TVsendmsg(WRITE_MSG, TOS, timer, (PARMLIST *)&p) ;
}

/* End of TVISET.C */
