/*=======================================================*/
/*  TVQORIG.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVqry_origin--get upper left corner of portion of     */
/*               logical window in physical window       */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVqry_origin(OBJECT win,int *row, int *col)
{
   static BYTE query_stream[] = { S_QUERY(3), 0xC4, 0, 0 } ;

   TVwin_stream(win,query_stream) ;
   *row = query_stream[5] ;
   *col = query_stream[6] ;
}

/* End of TVQORIG.C */
