/*================================================*/
/* TVWCREAT.C                                     */
/*   non-stream window manipulation functions     */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use as  */
/* long as this copyright notice is kept intact   */
/* and any changes are indicated in the comment   */
/* blocks for the functions                       */
/*================================================*/

#include <stdio.h>
#include <string.h>
#include "tvapi.h"

/*================================================*/
/* TVcreate_window  create a new window           */
/*   Ralf Brown 4/24/88                           */
/*================================================*/

OBJECT pascal TVcreate_window(OBJECT win,char *title,int rows,int cols, int unknown1, DWORD unknown3)
{
   PARMLIST8 p ;

   p.num_args = 8 ;
   p.arg[0] = (DWORD)(char far *)title ;
   p.arg[1] = (DWORD) strlen(title) ;
   p.arg[2] = (DWORD) rows ;
   p.arg[3] = (DWORD) cols ;
   p.arg[4] = (DWORD) unknown1 ;
   p.arg[5] = (DWORD) 0 ;
   p.arg[6] = (DWORD) unknown3 ;
   p.arg[7] = (DWORD) NIL ;
   TVsendmsg(NEW_MSG, win?TOS:WINDOW_CLASS, win, (PARMLIST *)&p) ;
   return (OBJECT) p.arg[0] ;
}

/* End of TVWCREAT.C */
