/*=======================================================*/
/*  TVWCTRL.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_ctrl  set whether or not control chars are      */
/*             interpreted                               */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVwin_ctrl(OBJECT win,int ctrl)
{
   static BYTE ctrl_stream[] = { S_WINDOW(1), WS_CTRLCHAR } ;
   static BYTE noctrl_stream[] = { S_WINDOW(1), WS_NOCTRLCHAR } ;

   TVwin_stream(win, ctrl?ctrl_stream:noctrl_stream) ;
}

/* End of TVWCTRL.C */
