/*=======================================================*/
/*  TVWLEAVE.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_leave  set whether writing leaves attributes    */
/*              untouched                                */
/*   Ralf Brown 4/8/88                                   */
/*=======================================================*/

void pascal TVwin_leave(OBJECT win, int leave)
{
   static BYTE leave_stream[] = { S_WINDOW(1), WS_LEAVEATTR } ;
   static BYTE write_stream[] = { S_WINDOW(1), WS_WRITEATTR } ;

   TVwin_stream(win, leave?leave_stream:write_stream) ;
}

/* End of TVWLEAVE.C */
