/*=======================================================*/
/*  TVWREDRW.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_redraw  update physical screen                  */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVwin_redraw(OBJECT win)
{
   static BYTE redraw_stream[] = { S_WINDOW(1), WS_REDRAW } ;

   TVwin_stream(win,redraw_stream) ;
}

/* End of TVWREDRW.C */
