/*=======================================================*/
/*  TVWREORD.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_reorder  reorder which windows appear on top of */
/*                others                                 */
/*   Ralf Brown 4/4/88                                   */
/*=======================================================*/
/* this function must be "cdecl", so that the args are on */
/* the stack in the right order to simply pass on to DV   */
/*========================================================*/

void cdecl TVwin_reorder(OBJECT win,unsigned first,...)
{
   static BYTE stream[] = { S_MANAGER(5), MS_REORDER, 0,0,0,0 } ;

   *((unsigned far **)(stream+5)) = (unsigned far *)&first ;
   TVwin_stream(win,stream) ;
}

/* End of TVWREORD.C */
